Name:           perl-Class-Std-Fast
Version:        0.0.8
Release:        2%{?dist}
Summary:        Faster but less secure replacement for Class::Std
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-Std-Fast/
Source0:        http://www.cpan.org/authors/id/A/AC/ACID/Class-Std-Fast-v%{version}.tar.gz
# Based on the statement in the README file:
# "This library is free software; you can redistribute it and/or modify
# it under the same terms as Perl itself."
Source1:        http://dev.perl.org/licenses/#/%{name}-Licensing.html

BuildArch:      noarch

BuildRequires:  findutils
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Std)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Prereq::Build)
BuildRequires:  perl(Test::Kwalitee)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Class::Std)
Requires:       perl(Data::Dumper)


%description
Class::Std::Fast allows you to use the beautiful API of Class::Std in a faster
way than Class::Std does. You can get the object's identity via scalar-ifying 
our object. Getting the objects identity is still possible via the ident method.


%prep
%setup -q -n Class-Std-Fast-v%{version}
cp -a %{SOURCE1} Licensing.html

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_build pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete


%check
RELEASE_TESTING=1 %make_build test


%files
%license Licensing.html
%doc Changes README
%{perl_vendorlib}/Class/*
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 02 2017 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.8-2
- Remove duplicate perl-generators BR
- Update license URL

* Tue Jan 31 2017 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> 0.0.8-1
- Initial RPM release.
